ETS2 – Iveco Evedys V2 (1.39.x)

Iveco Evedys V2 mod for ETS2 1.39.x. The minimum ETS2 version required to get support is 1.39. Versions below 1.37 (inclusive) are not supported at all. It runs under both DX11 and OpenGL. It does not appear in AI. Other variants (eg 12m hull) are not planned.

Credit(s):
Etrusan, Arma─čan

File Detail: 55.8 MB / RAR
DOWNLOAD(Mirror Server #1) Report Post

You may also like...

Leave a Reply

Your email address will not be published. Required fields are marked *